commit:     df01b66c61f21bdde0cd52b214826477fb99b0d0
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sat Jan 30 00:57:30 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 15:17:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df01b66c

dev-python/blessings: add py3.5, fix tests

Package-Manager: portage-2.2.27

 dev-python/blessings/blessings-1.6.ebuild | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/dev-python/blessings/blessings-1.6.ebuild 
b/dev-python/blessings/blessings-1.6.ebuild
index a7c135a..7a08c1b 100644
--- a/dev-python/blessings/blessings-1.6.ebuild
+++ b/dev-python/blessings/blessings-1.6.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-PYTHON_COMPAT=( python2_7 python3_{3,4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 inherit distutils-r1
 
@@ -17,9 +17,11 @@ LICENSE="MIT"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="test"
 
-DEPEND="dev-python/nose[${PYTHON_USEDEP}]"
-RDEPEND=""
+DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
 
 python_test() {
-       nosetests --verbosity=3 ${PN} || die
+       # The tests need an interactive terminal
+       # https://github.com/erikrose/blessings/issues/117
+       script -eqc "nosetests -w \"${BUILD_DIR}\"" /dev/null \
+               || die "tests failed with ${EPYTHON}"
 }

Reply via email to